M1 Mac and Jamf Pro 10.21.0???

jonros
New Contributor III

Hello everyone!
Now we're getting our M1 machines. πŸ™‚ We've enrolled one so far to our Jamf Pro version 10.21.0. From what I can see Jamf doesn't show much information about this modell and doesn't apply all policies/configurations.

We're going to update our Jamf next week to 10.25.2. Should we wait until it's done our doesn't it matter? Things that don't get applied correct or att all now get done after update or we can trigger it afterwards?

2 REPLIES 2

sdagley
Honored Contributor II

@jonros Speaking for myself I'd recommend holding off enrolling further M1 Macs until you're upgraded to Jamf Pro 10.25.2, or 10.26.0 which Jamf released yesterday, as those versions are officially compatible with Big Sur/M1. You'll definitely have problems with ADE on an M1 Mac prior to 10.25.2 since the Rosetta emulator isn't installed by default, and prior to 10.15.2 the Jamf Binary isn't universal.

There is a thread on getting Rosetta to install if you can't wait until updating your Jamf Pro install: https://www.jamf.com/jamf-nation/discussions/37357/deploy-rosetta-on-m1-machines-before-everything-e...

jonros
New Contributor III

Thanks for the info @sdagley